summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2023-12-27 19:29:41 +0000
committerSam James <sam@gentoo.org>2023-12-27 20:57:07 +0000
commit1506b5a78e5b82da08788046791385cce65349eb (patch)
treeba08cbf8eb4ec20f1f3e2a470b70e06e92993ee2 /eclass/autotools.eclass
parentautotools.eclass: rework WANT_AUTOCONF handling (diff)
downloadgentoo-1506b5a78e5b82da08788046791385cce65349eb.tar.gz
gentoo-1506b5a78e5b82da08788046791385cce65349eb.tar.bz2
gentoo-1506b5a78e5b82da08788046791385cce65349eb.zip
autotools.eclass: avoid deprecated backticks
Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass/autotools.eclass')
-rw-r--r--eclass/autotools.eclass17
1 files changed, 11 insertions, 6 deletions
diff --git a/eclass/autotools.eclass b/eclass/autotools.eclass
index 7d72565bfe08..5e214686572a 100644
--- a/eclass/autotools.eclass
+++ b/eclass/autotools.eclass
@@ -99,12 +99,17 @@ _automake_atom="sys-devel/automake"
_autoconf_atom="sys-devel/autoconf"
if [[ -n ${WANT_AUTOMAKE} ]] ; then
case ${WANT_AUTOMAKE} in
- # Even if the package doesn't use automake, we still need to depend
- # on it because we run aclocal to process m4 macros. This matches
- # the autoreconf tool, so this requirement is correct, bug #401605.
- none) ;;
- latest) _automake_atom="|| ( `printf '>=sys-devel/automake-%s:%s ' ${_LATEST_AUTOMAKE[@]/:/ }` )" ;;
- *) _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*";;
+ none)
+ # Even if the package doesn't use automake, we still need to depend
+ # on it because we run aclocal to process m4 macros. This matches
+ # the autoreconf tool, so this requirement is correct, bug #401605.
+ ;;
+ latest)
+ _automake_atom="|| ( $(printf '>=sys-devel/automake-%s:%s ' ${_LATEST_AUTOMAKE[@]/:/ }) )"
+ ;;
+ *)
+ _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*"
+ ;;
esac
export WANT_AUTOMAKE
fi